<?php # This page contains links to download autoclick chem
include('header.php'); # Loads headers and menus ?>

<h2 class="title">AutoClickChem 1.0.0</h2>
<div class="story">
    <p>AutoClickChem is a computer algorithm implemented in Python that is capable of performing click-chemistry reactions <i>in silico</i>. AutoClickChem can be used to produce large combinatorial libraries of compounds for use in virtual screens. As the compounds of these libraries are constructed according to the reactions of click chemistry, they can be easily synthesized for subsequent testing in biochemical assays. Additionally, <i>in silico</i> modeling of click-chemistry products may prove useful in rational drug design and drug optimization.</p>
    <p>A copy of AutoClickChem can be <a href="https://sourceforge.net/projects/autoclickchem/files/AutoClickChem/" target="_blank">downloaded from SourceForge.net</a>.</p>
</div>

<br/><br/>

<h2 class="title"><i>pymolecule</i> Toolbox</h2>
<div class="story">
    <p>AutoClickChem is based on the new <i>pymolecule</i> toolbox, a framework that may facilitate the development of future python-based programs that require the manipulation of molecular models. A copy of <i>pymolecule</i> can be <a href="https://sourceforge.net/projects/autoclickchem/files/pymolecule/" target="_blank">downloaded from SourceForge.net</a>.</p>
</div>

<br/><br/>

<h2 class="title">AutoClickChem Rocks Roll</h2>
<div class="story">
    <p>You can download the AutoClickChem rocks roll to run a server just like this one on your own cluster. A copy of the AutoClickChem rocks roll can be <a href="https://sourceforge.net/projects/autoclickchem/files/AutoClickChem_rocks_roll/" target="_blank">downloaded from SourceForge.net</a>.</p>
</div>

<br/><br/>

<a name="library"></a> 
<h2 class="title">Sample AutoClickChem-Generated Library</h2> 
<div class="story"> 
    <p>To demonstrate how AutoClickChem can be used to generate a large virtual library of easily synthesizable compounds for virtual screening projects, a virtual library was constructed from models of compounds available commercially through <a href="http://www.hit2lead.com/" target="_blank">hit2lead.com</a>. In all, 939 suitable alkyne models and 1,220 suitable bromide models were ultimately generated from selected hit2lead compounds. AutoClickChem was first used to convert the 1,220 bromides into 1,215 azides. Next, these azide products were reacted with the 939 alkynes <i>in silico</i> in order to produce 2,281,770 1,2,3-triazole products. Any of these products could in theory be easily synthesized in vitro via the azide-alkyne Huisgen cycloaddition reaction. When only those models that satisfied all of Lipinski’s rule-of-five criteria were considered, approximately 800,000 drug-like models remained.</p> 
    <p>Though we recommend creating custom libraries specifically designed for target proteins of interest, this large, diverse virtual library may nevertheless serve as a useful starting point for any virtual-screening project. A fast docking program like AutoDock Vina running on a 100-processor cluster should be able to screen the whole library against a single protein structure in a matter of days.</p>
    <p><a href="https://sourceforge.net/projects/autoclickchem/files/sample_libraries/" target="_blank">This virtual library is available for download from SourceForge.net</a>.</p> 
</div> 

<?php include('footer.php'); # The footer and sidebar. ?>
