<?php # This page runs AutoClickChem.

error_reporting(E_ALL); # Errors should be reported.

set_time_limit(0); # No time limit, since unzipping files can take a while...

# Keep track of which user has landed on this page.
$userid = $_GET['userid']; 
$userid2 = $_GET['userid2'];
include_once('vars.php'); # Load in the AutoClickChem webserver variables.


# First, has the working directory been created? Have the python scripts used to run AutoClickChem been launched?


# Has this page been reached in error? Did the user land her without first passing through the parameters.php page? Or is ther eno userid2 associated with this user?
if (($_POST['num_products']=='') && ($userid2=='')) { # You should only come here after entering the data on the library_1.php and other pages.
        setcookie('message','Unable to identify requested job. Please reenter libraries and parameters.<br/><br/>Note: Files are deleted automatically after two days.');
        header("HTTP/1.1 301 Moved Permanently");
        header("Location: library_1.php");
        die();
}

include('header.php'); # Loads headers and menus

echo '<h2 class="title">4. Results</h2>
<h3 class="posted"></h3><div class="story"><br/>';

if ($userid2=='') { # So nothing has been run yet. Need to run AutoClickChem.

	$id=rand(0,1000000);
	$upload_dir = $vars['temp_write_dir']; # The directory where the files that will be fed to AutoClickChem will reside.
	
	# First, see if the first library was uploaded by the user. If so, move these files to the appropriate directory.
	if ($_POST['start_library']=='upload') {

		$temp=glob($upload_dir.'*_____'.$userid.'_starting.*');
		$start_lib_dir = $temp[0];

	        $temp = explode('_____',$start_lib_dir);
	       	$start_lib_dir_target = $temp[0];
	        $start_lib_dir_target = explode('.',$start_lib_dir_target);
	        $start_lib_dir_target[count($start_lib_dir_target)-1] = rand(0,1000000).'.'.$id.'.'.$start_lib_dir_target[count($start_lib_dir_target)-1];
	        $start_lib_dir_target = implode('.',$start_lib_dir_target);

		exec('mv '.$start_lib_dir.' '.$start_lib_dir_target);

		$start_lib_dir = $start_lib_dir_target;

	} else { # So the user did not upload the first library. They must be using one of the sample libraries. Copy the apporpriate sample library to the directory from which AutoClickChem will be run.
		$orig_lib_loc = $basedir.$_POST['start_library'].'/pdbs.zip';
		$start_lib_dir = $upload_dir.'pdbs.'.rand(0,1000000).'.'.$id.'.zip';
		exec('cp '.$orig_lib_loc.' '.$start_lib_dir);
	}

	# See if the second library was uploaded by the user. If so, move these files to the appropriate directory.
        if ($_POST['reacting_library']=='upload') {
                $temp=glob($upload_dir.'*_____'.$userid.'_reacting.*');
		$react_lib_dir = $temp[0];

	        $temp = explode('_____',$react_lib_dir);
	        $react_lib_dir_target = $temp[0];
	        $react_lib_dir_target = explode('.',$react_lib_dir_target);
	        $react_lib_dir_target[count($react_lib_dir_target)-1] = rand(0,1000000).'.'.$id.'.'.$react_lib_dir_target[count($react_lib_dir_target)-1];
	        $react_lib_dir_target = implode('.',$react_lib_dir_target);

		exec('mv '.$react_lib_dir.' '.$react_lib_dir_target);

		$react_lib_dir = $react_lib_dir_target;

        } else { # So the user did not upload the second library. They must be using one of the sample libraries. Copy the apporpriate sample library to the directory from which AutoClickChem will be run.
		$orig_lib_loc = $basedir.$_POST['reacting_library'].'/pdbs.zip';
		$react_lib_dir = $upload_dir.'pdbs.'.rand(0,1000000).'.'.$id.'.zip';
		exec('cp '.$orig_lib_loc.' '.$react_lib_dir);
	}
	
	# So, now that the files have been copied, ready to submit an AutoClickChem job. Generate the AutoClickChem configuration file.

	$str = '-make_zip -all_reactions';
	if ($_POST['num_products']>$vars['max_reactant_pairs_allowed']) {
		echo '<div class="error">You requested that AutoClickChem generate '.$_POST['num_products'].' reactant pairs, but the maximum allowed is '.$vars['max_reactant_pairs_allowed'].', so only '.$vars['max_reactant_pairs_allowed'].' will be generated. If you would like to use AutoClickChem to generate large libraries, please <a href="download.php">download a copy</a> and run it on your own computer.</div>';
		$_POST['num_products'] = $vars['max_reactant_pairs_allowed'];
	} # so max of $vars['max_reactant_pairs_allowed'] for the server application

	$str = $str.' -max_reactions '.$_POST['num_products'];
	if ($_POST['epoxide_alcohol']!="") {$str = $str.' +epoxide_alcohol_opening +epoxide_thiol_opening';}
	if ($_POST['alkene_to_epoxide']!="") {$str = $str.' +alkene_to_epoxide';}
	if ($_POST['sulfonyl_azide_thio_acid']!="") {$str = $str.' +sulfonyl_azide_and_thio_acid';}
	if ($_POST['alkyne_azide']!="") {$str = $str.' +azide_and_alkyne_to_azole';}
	if ($_POST['primary_amine_to_azide_or_NCO_or_NCS']!="") {$str = $str.' +amine_to_azide +amine_to_isocyanate +amine_to_isothiocyanate';}
	if ($_POST['azide_to_primary_amine']!="") {$str = $str.' +azide_to_amine';}
	if ($_POST['carbonochloridate_amine']!="") {$str = $str.' +chloroformate_and_amine_to_carbamate';}
	if ($_POST['carboxylate_amine']!="") {$str = $str.' +carboxylate_and_amine_to_amide';}
	if ($_POST['acylhalide_amine']!="") {$str = $str.' +acyl_halide_and_amine_to_amide';}
	if ($_POST['ester_amine']!="") {$str = $str.' +ester_and_amine_to_amide';}
	if ($_POST['acid_anhydride_amine']!="") {$str = $str.' +acid_anhydride_and_amine_to_amide';}
	if ($_POST['carboxylate_alcohol']!="") {$str = $str.' +carboxylate_and_alcohol_to_ester +carboxylate_and_thiol_to_thioester';}
	if ($_POST['acylhalide_alcohol']!="") {$str = $str.' +acyl_halide_and_alcohol_to_ester +acyl_halide_and_thiol_to_thioester';}
	if ($_POST['ester_alcohol']!="") {$str = $str.' +ester_and_alcohol_to_ester +ester_and_thiol_to_thioester';}
	if ($_POST['acid_anhydride_alcohol']!="") {$str = $str.' +acid_anhydride_and_alcohol_to_ester +acid_anhydride_and_thiol_to_thioester';}
	if ($_POST['isocyanate_amine']!="") {$str = $str.' +isocyanate_and_amine_to_urea +isothiocyanate_and_amine_to_thiourea';}
	if ($_POST['isocyanate_alcohol']!="") {$str = $str.' +isocyanate_and_alcohol_to_carbamate +isothiocyanate_and_alcohol_to_carbamothioate +isocyanate_and_thiol_to_carbamothioate +isothiocyanate_and_thiol_to_carbamodithioate';}
	if ($_POST['halide_to_azide']!="") {$str = $str.' +halide_to_cyanide +halide_to_azide';}
	if ($_POST['alcohol_to_azide']!="") {$str = $str.' +alcohol_to_azide +alcohol_to_cyanide';}
	if ($_POST['carboxylate_cyanide']!="") {$str = $str.' +carboxylate_to_cyanide';}
	if ($_POST['carboxylate_azide']!="") {$str = $str.' +carboxylate_to_azide';}
	if ($_POST['acylhalide_azide']!="") {$str = $str.' +acyl_halide_to_azide';}
	if ($_POST['acylhalide_cyanide']!="") {$str = $str.' +acyl_halide_to_cyanide';}
	if ($_POST['acid_anhydride_azide']!="") {$str = $str.' +acid_anhydride_to_azide';}
	if ($_POST['acid_anhydride_cyanide']!="") {$str = $str.' +acid_anhydride_to_cyanide';}

	# Now, write this configuration information to the config file
	$config_file = $upload_dir.'config.'.$id.'.in';
	$handle=fopen($config_file,'w');
	fwrite($handle,$str."\n");
	fclose($handle);

	# Now submit autoclick job to the server.
	$runit = 'cd '.dirname($vars['location_of_opal_submission_script']).'; ./'.basename($vars['location_of_opal_submission_script']).' '.$start_lib_dir.' '.$react_lib_dir.' '.$config_file.' '.$vars['WSDL_URL_for_programmatic_access'].'; rm '.$upload_dir.'*.'.$id.'.*';
	$output = shell_exec($runit);
	
	if ($output == '') { # An error occured, probably because the the server as unable to write to the directory. Let the user know.
		echo 'ERROR: Could not programatically access AutoClickChem opal service. Some possible causes: 1) AutoClickChem was unable write to the directory "'.dirname($vars['temp_write_dir']).'". 2) There is no AutoClickChem opal service running on this cluster, or, alternatively, on the clutser specified in the vars.ini file.<br/><br/>Chances are, the webmaster needs to change the permissions of that directory so that the AutoClickChem web application can write and read to it, or needs to change the vars.ini file so it points to a valid AutoClickChem opal service.';
		die();
	}

        $userid2 = explode("appAutoClickChem",$output);
        $userid2 = "appAutoClickChem".$userid2[1];

	# Let the user know that their job has been submitted.
	echo 'Your job has been submitted!<br/><br/>Click here to <a href="execution.php?userid='.$userid.'&userid2='.$userid2.'">check your job\'s progress</a>.';

} else { # So an AutoClickChem job has already been submitted. Show the progress.

	function get_files() { # This function gets a list of all the files off the opal server. # Useful for determining how many products have been created so far.
		global $userid2;
		global $vars;
		global $download_zip;
	
		$url = $vars['opal_url_root'].$userid2.'/';
		$page = file($url.'output/');
		$pdbs = array();
		for ($t=0;$t<count($page);$t++) {
			if ((stristr($page[$t],'pdb')) || (stristr($page[$t],'zip'))) {
				$s = explode('<tt>',$page[$t]);
				$s = explode('</tt>',$s[1]);
				$s = $s[0];
				if (stristr($page[$t],'pdb')) {
					$pdbs[count($pdbs)]=$vars['opal_url_root'].$userid2.'/output/'.$s;
				} else { # so it's the zip file
					$download_zip = $vars['opal_url_root'].$userid2.'/output/'.$s;
				}
			}
		}
		return $pdbs;
	}

	$download_zip = '';
	
	# Get the files from the Opal server than have already been created.
	$dirs = get_files(); # This will also set the variable $download_zip if the Opal AutoClickChem job has finished.
	sort($dirs,SORT_NUMERIC);
	
	# Describe the progress that has been made.
	echo count($dirs).' products <!--(out of '.$vars['num_products'].')--> have been created.';

	echo '<br/>';
	echo '<br/><hr/><br/>';
	echo 'You can also <a href="'.$vars['opal_url_root'].$userid2.'/" target="_blank">visualize all files</a> as they are generated on the server.';
	echo '<br/><br/><hr/>';

	if ($download_zip != '') { # So the AutoClickChem opal service is done and has created a zip file to download. Tell the user how to download the results.

		echo '<br/>All requested products have been created. Click to <a href="'.$download_zip.'">download your results</a>.<!--<br/>Note: Files will be automatically deleted on '.$killtime.'.-->';
		echo '<br/><br/><hr/><br/>Click on the name of the ligand to visualize it onilne:<br/><br/>';

		# A function for extracting the file index from a fiiilename.
		function get_index_from_filename($filename) {
			$filename = basename($filename);
			$filename = explode('_',$filename);
			$filename = explode('.',$filename[1]);
			return $filename[0];
		}

		# A comparison function for a custom sort by the file index.
		function cmp($a, $b) {
			$a=get_index_from_filename($a);
			$b=get_index_from_filename($b);
			
		    if ($a == $b) {
			return 0;
		    }
		    return ($a < $b) ? -1 : 1;
		}
		
		# Recall that $dirs was a list of all the files created by the AutoClickChem  Opal service.
		$All = $dirs; 
		usort($All,'cmp');

		# Display the generated filles, so the user can view them online.
		$max = count($All);
		if ($max > 100) {
			$max = 100;
			echo '(Displaying only the first 100 reactions...)<br/><br/>';
		}
		echo '<table>';
		for ($t=0;$t<$max;$t++) { # show each of the reactions/products
			$dirs[$t] = $All[$t]; 
			$label = str_replace('_',' ',str_replace('.pdb','',basename($dirs[$t])));

			$file = file($dirs[$t]);
			$line = $file[0];
			$line = str_replace('REMARK ','',$line);
                        echo '<tr><td><a href="show_molecule.php?url='.urlencode($dirs[$t]).'" rel="shadowbox;height=400;width=400"  title="'.$label.'">'.$label.'</a></td><td>('.trim($line).')</td></tr>';
		}
		echo '</table>';

	} elseif (!file_exists($working_dir.'error.dat')) { # So the AutoClickChem Opal servcice has not yet finished. Give the user a link to check again.
		echo '<br/>(<a href="execution.php?userid='.$userid.'&userid2='.$userid2.'">Update Info</a>)'; 
	}

}
?>
<br/><br/>
</div>

<?php include('footer.php'); # The footer and sidebar. ?>
