<html><head>
<title>Click Chemistry</title>
<link rel="stylesheet" type="text/css" href="help.css">
</head>
<body>

<p>"Click chemistry" is a chemical philosophy introduced by K. Barry Sharpless in 2001 and describes chemistry tailored to generate substances quickly and reliably by joining small units together. This is inspired by the fact that nature also generates substances by joining small modular units.</p>

<p>In biochemistry, proteins are made from repeating amino acid units and sugars are made from repeating monosaccharide units. The connecting units are based on carbon-hetero atom bonds C-X-C rather than carbon-carbon bonds. In addition, enzymes ensure that chemical processes can overcome large enthalpy hurdles by division into a series of reactions each with a small energy step. Mimicking nature in organic synthesis of new pharmaceuticals is essential given the large number of possible structures.</p>

<p>In 1996 Guida calculated the size of the pool of drug candidates at 10<sup>63</sup>, based on the presumption that a candidate consists of less than 30 non-hydrogen atoms, weighs less than 500 daltons, is made up of atoms of hydrogen, carbon, nitrogen, oxygen, phosphorus, sulfur, chlorine and bromine, and is stable at room temperature and stable towards oxygen and water. Click chemistry in combination with combinatorial chemistry, high-throughput screening and building chemical libraries speeds up new drug discoveries by making each reaction in a multistep synthesis fast, efficient and predictable.</p>

<p>Click chemistry encourages the following criteria:</p>

<ul>
	<li>application modular and wide in scope</li>
	<li>obtains high chemical yield</li>
	<li>generates inoffensive byproducts</li>
	<li>is stereospecific</li>
	<li>simple reaction conditions</li>
	<li>has readily available starting materials and reagents</li>
	<li>no solvent involved or a benign solvent (preferably water)</li>
	<li>easy product isolation by crystallisation or distillation but not preparative chromatography</li>
	<li>physiologically stable</li>
	<li>large thermodynamic driving force > 84 kJ/mol to favor a reaction with a single reaction product. A distinct exothermic reaction makes a reactant "spring loaded".</li>
	<li>high atom economy</li>
</ul>

<p>Many of the criteria are subjective; and even if measurable and objective criteria could be agreed upon, it's unlikely that any reaction will be perfect for every situation and application. However, several reactions have been identified which fit the bill better than others:</p>

<ul>
	<li>the Huisgen 1,3-dipolar cycloaddition, in particular the Cu(I)-catalyzed stepwise variant, is often referred to simply as the "click reaction". Fokin and Sharpless independently described it as a reliable catalytic process offering "an unprecedented level of selectivity, reliability, and scope for those organic synthesis endeavors which depend on the creation of covalent links between diverse building blocks," firmly placing it among the most reliable processes fitting the click criteria.</li>

	<li>other cycloadditions such as the Diels-Alder reaction</li>
	<li>nucleophilic substitution especially to small strained rings like epoxy and aziridine compounds</li>
	<li>carbonyl-chemistry-like formation of ureas but not reactions of the aldol type due to low thermodynamic driving force.</li>
	<li>addition reactions to carbon-carbon double bonds like dihydroxylation.</li>
</ul>

(Adapted from <a href="http://en.wikipedia.org/wiki/Click_chemistry" target="_blank">Wikipedia</a>.)

</body>
</html>
