<html><head>
<title>What Does AutoClickChem do?</title>
<link rel="stylesheet" type="text/css" href="help.css">
</head>
<body>

<p>Virtual screening is a valuable way to identify novel protein inhibitors. <a href="http://autodock.scripps.edu/" target="_blank">Docking software</a> is used to "predict how small molecules, such as substrates or drug candidates, bind to a [protein] receptor of known 3D structure." Especially when coupled with advanced docking techniques like the <a href="http://pubs.acs.org/doi/abs/10.1021/ja0260162" target="_blank">Relaxed Complex Scheme</a>, computer docking can be quite predictive, but experimental validation is always essential.</p>

<p>Experimental validation requires that the predicted inhibitors be chemically available. Thus one of the following criteria must be satisfied:</p>

<ol>
	<li>The predicted inhibitors must be obtainable from <a href="http://zinc.docking.org/" target="_blank">educational</a>, <a href="http://129.43.27.140/ncidb2/" target="_blank">governmental</a>, or <a href="http://www.hit2lead.com/" target="_blank">commercial</a> chemical libraries</li>
	<li>The chemical synthesis of the predicted inhbitors must be feasible.</li>
</ol>

<p>Because synthesis allows for greater compound diversity, many computational chemists design molecules from scratch. However, computational chemists are notorious for designing compounds that cannot be easily synthesized.</p>

<p><b>AutoClickChem</b> carries out synthesis <i>in silico</i> according to the rules of click chemistry. Because AutoClickChem only produces compounds that can be easily synthesized by synthetic chemists, it can greatly accelerate the drug-discovery process. Virtual screening can be carried out on AutoClickChem-generated compound libraries to identify potential protein inhibitors. The predicted inhibitors can be easily synthesized <i>via</i> click chemistry, making experimental validation fast and simple.
</p>

</body>
</html>
