<?php # A php module for loading AutoClickChem server variables from the vars.ini file.

# Calculate a few values based on server side variables and such.
$basedir = getcwd().'/';
$baseurl = "http://".$_SERVER['SERVER_NAME'].dirname($_SERVER['SCRIPT_NAME']).'/';
$baseurl = str_replace('//','/',$baseurl);
$baseurl = str_replace('http:/', 'http://',$baseurl);

# Additional variables are set from the vars.ini file.
$vars_from_file = file('vars.ini');
$vars = array();

for ($i = 0; $i <= count($vars_from_file)-1; $i++) {
    $vars_from_file[$i] = str_replace("\t",' ',$vars_from_file[$i]);
    while (strstr($vars_from_file[$i],'  ')) {
       $vars_from_file[$i] = str_replace('  ',' ',$vars_from_file[$i]);
    }
    $item = explode(" ",trim($vars_from_file[$i]),2);
    $vars[$item[0]] = $item[1];
}

$vars['temp_write_dir'] = $vars['temp_write_dir'].'/';
$vars['temp_write_dir'] = remove_terminal_double_slashes($vars['temp_write_dir']);

$vars['opal_url_root'] = $vars['opal_url_root'].'/';
$vars['opal_url_root'] = remove_terminal_double_slashes($vars['opal_url_root']);

# Other variables are derived from user-specified variables.
$max_upload_size_in_megabytes = round($vars['max_upload_size_in_bytes']/1048576,1)." MB";

if (!(file_exists($vars['temp_write_dir']))) {
	mkdir($vars['temp_write_dir']);
	chmod($vars['temp_write_dir'], 0777);
}

# A function for removing // from a string.
function remove_terminal_double_slashes($thestring) {
	if (substr($thestring,-2)=='//') {
		$thestring = substr($thestring,0,strlen($thestring)-1);
	}
	return $thestring;
}

?>
